幽灵学院 - 菜鸟起航从这里开始!

幽灵学院 - 中国最权威的网络安全门户网站!

当前位置: > 技术文章 > 工具软件 >

Ubuntu 12.04安装backtrack5中的工具

linux是根据源来更新的,我们可以把bt5的源配置在ubuntu12.04中,来安装bt5中的工具。bt5中原始的sources.list文件内容为:deb http://all.repository.backtrack-linux.org revolution main microverse non...

linux是根据源来更新的,我们可以把bt5的源配置在ubuntu12.04中,来安装bt5中的工具。bt5中原始的sources.list文件内容为:

deb http://all.repository.backtrack-linux.org revolution main microverse non-free testing
deb http://32.repository.backtrack-linux.org revolution main microverse non-free testing
deb http://source.repository.backtrack-linux.org revolution main microverse non-free testing

上面三个是国外的服务器更新慢,可以配置国内的服务器:

deb http://mirrors.ustc.edu.cn/backtrack/source revolution main microverse non-free testing
deb http://mirrors.ustc.edu.cn/backtrack/all revolution main microverse non-free testing
deb http://mirrors.ustc.edu.cn/backtrack/32 revolution main microverse non-free testing

deb http://mirror.edu.backtrack-cn.org/backtrack/32 revolution main microverse non-free testing
deb http://mirror.edu.backtrack-cn.org/backtrack/all revolution main microverse non-free testing
deb http://mirror.edu.backtrack-cn.org/backtrack/source revolution main microverse non-free testing

deb http://all.repository.backtrack-linux.org revolution main microverse non-free testing
deb http://64.repository.backtrack-linux.org revolution main microverse non-free testing
deb http://source.repository.backtrack-linux.org revolution main microverse non-free testing

deb http://ubuntu.uestc.edu.cn/ubuntu/ lucid main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ lucid-backports restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ lucid-proposed main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ lucid-security main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu/ lucid-updates main restricted universe multiverse

需要导入证书公钥:

sudo gpg –keyserver subkeys.pgp.net –recv 475A6B7F

sudo gpg –export –armor 475A6B7F | sudo apt-key add -

然后:sudo apt-get update ;   sudo apt-get upgrade.

在ubuntu中的软件中心,搜索 “backtrack”就可以看到bt5的各种工具。当然也可以shell下apt-get安装

其中nmap安装有些问题: sudo apt-get install nmap,安装完成后,,有很多lib包找不到,例如:libsvn_client-so-1等等。这些包其实都已经安装在ubuntu中,路径为/opt/metloit/common/lib,但是nmap默认去/usr/lib中去加载,我们只需要将/opt/metasploit/common/lib中nmap需要的lib链接到/usr/lib中即可,命令为ln -s 源包  目的包。或者直接将需要的包复制到/usr/lib中即可。

(责任编辑:幽灵学院)
顶一下
(0)
0%
踩一下
(0)
0%
------分隔线----------------------------
发表评论
请自觉遵守互联网相关的政策法规,严禁发布色情、暴力、反动的言论。
评价:
用户名: 验证码: 点击我更换图片
栏目列表
推荐内容
1700055555@qq.com 工作日:9:00-21:00
周 六:9:00-18:00
  扫一扫关注幽灵学院